petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexLabelComplete

Starting with a label marking points on a surface, we add the transitive closure to the surface

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexLabelComplete(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM
| label | - A DMLabel marking the surface points

### Output Parameter

label -A DMLabel marking all surface points in the transitive closure

### See Also

DMPlexLabelCohesiveComplete()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

DMPlexLabelComplete_Internal in src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages